package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * @author yanghuan
 * @title: ChangeClassReq
 * @projectName ssj
 * @description: TODO
 * @date 2019/12/25 14:54
 */
public class ChangeClassReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @NotBlank
    private String classId;

    @NotEmpty
    private List<String> vipIds;

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public List<String> getVipIds() {
        return vipIds;
    }

    public void setVipIds(List<String> vipIds) {
        this.vipIds = vipIds;
    }
}
